LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XTypeDescription Interface Referencepublished

Reflects a UNOIDL entity. More...

`import"XTypeDescription.idl";`

Inheritance diagram for XTypeDescription:

## Public Member Functions
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity. More...
string | getName ()
| Returns the fully qualified name of the UNOIDL entity. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Reflects a UNOIDL entity.

See also
  XPublished
  XIndirectTypeDescription
  XEnumTypeDescription
  XStructTypeDescription
  XCompoundTypeDescription
  XInterfaceTypeDescription2
  XInterfaceAttributeTypeDescription2
  XInterfaceMethodTypeDescription
  XConstantTypeDescription
  XConstantsTypeDescription
  XServiceTypeDescription2
  XPropertyTypeDescription2
  XSingletonTypeDescription2

Developers Guide
  AdvUNO - UNO Reflection API

## Member Function Documentation

## ◆ getName()

string getName | ( |  | ) |

Returns the fully qualified name of the UNOIDL entity.

Returns
  fully qualified name of the entity

## ◆ getTypeClass()

com::sun::star::uno::TypeClass getTypeClass | ( |  | ) |

Returns the type class of the reflected UNOIDL entity.

Returns
  type class of the entity

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XTypeDescription.idl